Subject: Re: bug#28434: 25.2; Final "\ No newline at end of file" breaks Emacs patch handling.

From: Noam Postavsky <[email-masked]>
Date: Mon, 24 Jun 2019 19:58:32 -0400

reopen 28434
tags 28434 - wontfix
severity 28434 minor
quit

Lars Ingebrigtsen <[email-masked]> writes:

> Noam Postavsky <[email-masked]> writes:
>
>>> I think if you need this, you should add it to that variable, but I
>>> don't think this would be a good default.
>>
>> Hmm, the "\ No newline at end of file" thing is a de facto standard, so
>> shouldn't Emacs recognize it by default?
>
> Hm...  is it?  I've always thought that was Emacs telling me I was doing
> something wrong.  :-)

$ diff --version | head -2
diff (GNU diffutils) 3.5
Copyright (C) 2016 Free Software Foundation, Inc.
$ diff -u <(echo -n foo) <(echo foo)
--- /dev/fd/63	2019-06-24 19:55:40.217569759 -0400
+++ /dev/fd/62	2019-06-24 19:55:40.217569759 -0400
@@ -1 +1 @@
-foo
\ No newline at end of file
+foo

> But if that's the case, then perhaps we should add it?

Yeah I think so.